- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.alerts.customFieldValues/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.alerts.customFieldValues/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.alerts.customFieldValues/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.alerts.customFieldValues/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.alerts.customFieldValues/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.alerts.customFieldValues/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.alerts.customFieldValues/list#body.aspect_1)

**Full name**: projects.locations.instances.cases.alerts.customFieldValues.list

Lists all custom field values for a specific case or alert.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/customFieldValues`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent CustomField, which owns this collection of custom field values. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of custom field values to return. The service may return fewer than this value. If unspecified, at most 50 custom field values will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `customFieldValues.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `customFieldValues.list` must match the call that provided the page token. |
| `filter` | `string` Optional. A filter to apply to the list of custom field values. Supported filter fields: \* `customFieldId`: Filter by the custom field id. \* `identifier`: Filter by the identifier. Example: `filter="customFieldId='some_id'"` |
| `orderBy` | `string` Optional. Configures ordering of CustomFieldValues in the response. If not specified, CustomFieldValues are returned in descending order of their create time. The default ordering is by create time in descending order. The orderBy string is a comma separated list of fields. Supported sort fields: \* `customFieldId` \* `identifier` example: "customFieldId desc" |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/ListCustomFieldValuesResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.customFieldValues.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).